package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 电价时间配置对象 ems_price_time_config
 *
 * @author xzzn
 * @date 2025-10-09
 */
public class EmsPriceTimeConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 时段开始时间 */
    @Excel(name = "时段开始时间")
    private String startTime;

    /** 时段结束时间 */
    @Excel(name = "时段结束时间")
    private String endTime;

    /** 电价类型: 尖-peak,峰-high,平-flat,谷-valley */
    @Excel(name = "电价类型: 尖-peak,峰-high,平-flat,谷-valley")
    private String costType;

    /** 电价配置id */
    @Excel(name = "电价配置id")
    private Long priceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStartTime(String startTime)
    {
        this.startTime = startTime;
    }

    public String getStartTime()
    {
        return startTime;
    }

    public void setEndTime(String endTime)
    {
        this.endTime = endTime;
    }

    public String getEndTime()
    {
        return endTime;
    }

    public void setCostType(String costType)
    {
        this.costType = costType;
    }

    public String getCostType()
    {
        return costType;
    }

    public void setPriceId(Long priceId)
    {
        this.priceId = priceId;
    }

    public Long getPriceId()
    {
        return priceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("costType", getCostType())
                .append("priceId", getPriceId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
